searchData={"items":[{"type":"module","title":"MishkaChelekom","doc":"","ref":"MishkaChelekom.html"},{"type":"task","title":"mix mishka.ui.add","doc":"A Mix Task for generating and configuring Phoenix components from a repo\n\nThis section is part of the CLI community version, which allows you to download components,\ntemplates, and presets from another repository and add them to the `priv` directory of\nyour project—without requiring any additional plugins.\nAdditionally, you can specify your own custom URLs to share components you've developed\nwith your team. This CLI provides functionalities to facilitate such sharing.\nFor more details, please refer to the documentation on the https://mishka.tools/chelekom website.\n\n**Official Library Repository**:\n- https://github.com/mishka-group/mishka_chelekom\n\n**Official Community Version Repository**:\n- https://github.com/mishka-group/mishka_chelekom_community\n\n**Important Notice:**:\n> Several sections in the documentation on Mishka.tools, as well as individual tasks,\n> address security concerns. Since you are integrating an external component,\n> it is crucial to verify the source from which the file is being imported.\n> Please note that all responsibility for this integration lies with you.","ref":"Mix.Tasks.Mishka.Ui.Add.html"},{"type":"task","title":"Example - mix mishka.ui.add","doc":"```bash\nmix mishka.ui.add repo --example arg\n```","ref":"Mix.Tasks.Mishka.Ui.Add.html#module-example"},{"type":"task","title":"Options - mix mishka.ui.add","doc":"* `--no-github` - Specifies a URL without github replacing\n* `--headers` - Specifies a repo url request headers","ref":"Mix.Tasks.Mishka.Ui.Add.html#module-options"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.builder/2","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.html#builder/2"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.convert_headers/1","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.html#convert_headers/1"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.enforce_keys/0","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.html#enforce_keys/0"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.enforce_keys/1","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.html#enforce_keys/1"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.format_errors/1","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.html#format_errors/1"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.igniter/2","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.html#igniter/2"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.keys/0","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.html#keys/0"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.keys/1","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.html#keys/1"},{"type":"type","title":"Mix.Tasks.Mishka.Ui.Add.t/0","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.html#t:t/0"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.uniq_components?/2","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.html#uniq_components?/2"},{"type":"task","title":"mix mishka.ui.add.files","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.Files.html"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.Files.builder/2","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.Files.html#builder/2"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.Files.enforce_keys/0","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.Files.html#enforce_keys/0"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.Files.enforce_keys/1","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.Files.html#enforce_keys/1"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.Files.keys/0","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.Files.html#keys/0"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.Files.keys/1","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.Files.html#keys/1"},{"type":"type","title":"Mix.Tasks.Mishka.Ui.Add.Files.t/0","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.Files.html#t:t/0"},{"type":"task","title":"mix mishka.ui.add.files.args","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.Files.Args.html"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.Files.Args.builder/2","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.Files.Args.html#builder/2"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.Files.Args.enforce_keys/0","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.Files.Args.html#enforce_keys/0"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.Files.Args.enforce_keys/1","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.Files.Args.html#enforce_keys/1"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.Files.Args.keys/0","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.Files.Args.html#keys/0"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Add.Files.Args.keys/1","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.Files.Args.html#keys/1"},{"type":"type","title":"Mix.Tasks.Mishka.Ui.Add.Files.Args.t/0","doc":"","ref":"Mix.Tasks.Mishka.Ui.Add.Files.Args.html#t:t/0"},{"type":"task","title":"mix mishka.ui.export","doc":"A Mix Task for generating a JSON file from a directory of components\n\nThis Mix Task helps you generate a JSON file from the files in a directory,\nenabling you to use it with `mix mishka.ui.add` or share it in the community version.\n\nKeep in mind that for each component, you must have both `.eex` and `.exs` files according to the\ndocumentation of the [Mishka Chelekom](https://github.com/mishka-group/mishka_chelekom) library.\nOtherwise, you will need to create the necessary files manually.\nIt’s recommended to review the Core components and follow their structure as a guide.\n\nIf you prefer to perform the process manually, simply add the relevant option to your command to\ngenerate a template file. You can then customize it based on your specific requirements.\n\n**Note**:\n\n> Use `--base64` option to convert the file content to Base64 if you're using special Erlang\ncharacters that do not retain their original form when converted back to the original file.\n\n**Note**:\n\nIt is important to note that to place each file in its designated section and specify its type,\nyou must use the following naming convention:\n\nFor example, if your file is a `component`, you need to have two files:\n\n- `component_something.exs`\n- `component_something.eex`\n\nSimilarly, for other file types like `preset` and `template`, you should follow the same\nnaming pattern as above. For instance:\n\n- `template_something.exs`\n- `template_something.eex`\n\nAll files within the directory do not need to have the same name. However,\nthey must start with the section name where they are intended to be placed, such as\n`component`, `preset`, or `template`. Additionally, each file must have both the\n`exs` and `eex` formats.\n\n> **Note**: Since JavaScript files do not require configuration, you only need to\nplace the file in the directory. For example: `something.js`","ref":"Mix.Tasks.Mishka.Ui.Export.html"},{"type":"task","title":"What Should the Configuration of Each Component Look Like? - mix mishka.ui.export","doc":"If you take a look at the example configuration below, you'll notice that the component\nfile name matches the key name in the list, which also matches the configuration name.\nThis ensures consistency and makes it easier to work with the component configuration.\n\n**File name**: `component_accordion.eex` and `component_accordion.exs`\n```elixir\n[\n  component_accordion: [\n    name: \"component_accordion\",\n    args: [...]\n    ...\n  ]\n]\n```\n\n**Note:** you can name this like `preset_accordion` or `template_accordion` too.","ref":"Mix.Tasks.Mishka.Ui.Export.html#module-what-should-the-configuration-of-each-component-look-like"},{"type":"task","title":"Example - mix mishka.ui.export","doc":"```bash\nmix mishka.ui.export --example arg\n```","ref":"Mix.Tasks.Mishka.Ui.Export.html#module-example"},{"type":"task","title":"Options - mix mishka.ui.export","doc":"* `--base64` or `-b` - Converts component content to Base64\n* `--name` or `-n` - Defines a name for JSON file, if it is not set default is template.json\n* `--org` or `-o` - It is only for structuring the file and has no effect on your export.\n* `--template` or `-t` - Creates a default JSON file for manual processing steps.","ref":"Mix.Tasks.Mishka.Ui.Export.html#module-options"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Export.validate_files/1","doc":"","ref":"Mix.Tasks.Mishka.Ui.Export.html#validate_files/1"},{"type":"task","title":"mix mishka.ui.gen.component","doc":"A Mix Task for generating and configuring Phoenix components\n\nThis script is used in the development environment and allows you to easily add all Mishka\ncomponents to the components directory in your Phoenix project.\n\nIt should be noted that you can create any component with limited arguments.\nFor example, put only a certain color in the button and do not put other codes in the component.\n\nFor this reason, the main goal is to build the component and its dependencies, and approval at every stage.\n\n> With this method, you no longer need to add anything you don't need to your project\n> and minimize dependencies and attacks on dependencies and project maintenance.","ref":"Mix.Tasks.Mishka.Ui.Gen.Component.html"},{"type":"task","title":"Example - mix mishka.ui.gen.component","doc":"```bash\nmix mishka.ui.gen.component component --example arg\n```","ref":"Mix.Tasks.Mishka.Ui.Gen.Component.html#module-example"},{"type":"task","title":"Options - mix mishka.ui.gen.component","doc":"* `--variant` or `-v` - Specifies component variant\n* `--color` or `-c` - Specifies component color\n* `--size` or `-s` - Specifies component size\n* `--padding` or `-p` - Specifies component padding\n* `--space` or `-sp` - Specifies component space\n* `--type` or `-t` - Specifies component type\n* `--rounded` or `-r` - Specifies component type\n* `--no-sub-config` - Creates dependent components with default settings\n* `--module` or `-m` - Specifies a custom name for the component module\n* `--sub` - Specifies this task is a sub task\n* `--no-deps` - Specifies this task is created without sub task\n* `--yes` - Makes directly without questions","ref":"Mix.Tasks.Mishka.Ui.Gen.Component.html#module-options"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Gen.Component.component_to_atom/1","doc":"","ref":"Mix.Tasks.Mishka.Ui.Gen.Component.html#component_to_atom/1"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Gen.Component.convert_options/1","doc":"","ref":"Mix.Tasks.Mishka.Ui.Gen.Component.html#convert_options/1"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Gen.Component.create_or_update_scripts/1","doc":"","ref":"Mix.Tasks.Mishka.Ui.Gen.Component.html#create_or_update_scripts/1"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Gen.Component.igniter/2","doc":"","ref":"Mix.Tasks.Mishka.Ui.Gen.Component.html#igniter/2"},{"type":"task","title":"mix mishka.ui.gen.components","doc":"A Mix Task for generating and configuring multi components of Phoenix\n\nA Mix Task for generating and configuring multi components of Phoenix\n\n> This task does not do any additional work compared to the `mix mishka.ui.gen.component` task,\n> it just creates all the components in one place. For this purpose, all components\n> are created with default arguments.","ref":"Mix.Tasks.Mishka.Ui.Gen.Components.html"},{"type":"task","title":"Example - mix mishka.ui.gen.components","doc":"```bash\nmix mishka.ui.gen.components component1,component2\n```","ref":"Mix.Tasks.Mishka.Ui.Gen.Components.html#module-example"},{"type":"task","title":"Options - mix mishka.ui.gen.components","doc":"* `--import` - Generates import file\n* `--helpers` - Specifies helper functions of each component in import file\n* `--global` - Makes components accessible throughout the project without explicit imports\n* `--yes` - Makes directly without questions","ref":"Mix.Tasks.Mishka.Ui.Gen.Components.html#module-options"},{"type":"function","title":"Mix.Tasks.Mishka.Ui.Gen.Components.igniter/2","doc":"","ref":"Mix.Tasks.Mishka.Ui.Gen.Components.html#igniter/2"},{"type":"task","title":"mix mishka_chelekom.install","doc":"This task helps you easily install the Mishka Chelekom library directly using Igniter.","ref":"Mix.Tasks.MishkaChelekom.Install.html"},{"type":"task","title":"Example - mix mishka_chelekom.install","doc":"```bash\nmix igniter.new my_app --with phx.new --install mishka_chelekom\n\n```","ref":"Mix.Tasks.MishkaChelekom.Install.html#module-example"},{"type":"extras","title":"MishkaChelekom","doc":"# MishkaChelekom\n\n \n\n![Screenshot 2024-10-05 at 01 53 03](https://github.com/user-attachments/assets/16860771-e9e8-43f5-8441-d16ad8793ae6)\n\n \n\n \n   \n     \n   \n\n   \n       \n   \n\n   \n       \n   \n\n   \n     \n   \n\n   \n     \n   \n\n   \n     \n   \n \n\n Phoenix & Phoenix LiveView components and UI kit library  \n\n \n   \n    💖 Hey there! If you like my work, please   support me financially!   💖\n   \n \n\n \n\n \n   \n     \n   \n \n\nMishka Chelekom is a library offering various templates for components in **Phoenix** and **Phoenix LiveView** - [Phoenix UI kit and components](https://mishka.tools/chelekom).\n\nThis means you can generate any component listed in this project using a `CLI` command with customizable options.\n\n> For example, you can create a component with an `info` color and a \"shadow\" variant without having any unnecessary code clutter.\n\n\nIf you want to add another variant in the future, the project is powered by the [**Igniter**](https://github.com/ash-project/igniter) library, which makes it easy to update the previous code seamlessly.\n\nYou will only use this library in your `development` environment, and it will not have any presence in production.","ref":"readme.html"},{"type":"extras","title":"Installation - MishkaChelekom","doc":"```elixir\ndef deps do\n  [\n    {:mishka_chelekom, \"~> 0.0.3\", only: :dev}\n  ]\nend\n```\n\nGenerate all components inside the `components` directory of your Phoenix project.","ref":"readme.html#installation"},{"type":"extras","title":"Creating a Component (Example: Creating an Alert) - MishkaChelekom","doc":"```bash\nmix mishka.ui.gen.component alert --color info --variant default\nmix mishka.ui.gen.component alert\n# For Windows users please use `\"\"` when you have more than\n# one value for an argument\nmix mishka.ui.gen.component alert --color \"info,danger\"\n```","ref":"readme.html#creating-a-component-example-creating-an-alert"},{"type":"extras","title":"Generating All Components - MishkaChelekom","doc":"```bash\nmix mishka.ui.gen.components\nmix mishka.ui.gen.components alert,accordion,chat\n```","ref":"readme.html#generating-all-components"},{"type":"extras","title":"Generating All Components with an Import File - MishkaChelekom","doc":"```bash\nmix mishka.ui.gen.components --import --yes\nmix mishka.ui.gen.components alert,accordion,chat --import --yes\n```\n\n> This command creates all the components along with a file where all the components are imported.","ref":"readme.html#generating-all-components-with-an-import-file"},{"type":"extras","title":"Generating All Components Using an Import File with Helper Functions - MishkaChelekom","doc":"```bash\n# Install all components along with helper functions and macros for importing\nmix mishka.ui.gen.components --import --helpers --yes\nmix mishka.ui.gen.components alert,accordion,chat --import --helpers --yes\n\n# Install all components with helper functions and macros for importing,\n# and globally replace them with Phoenix core components (**Recommended**)\nmix mishka.ui.gen.components --import --helpers --global --yes\n\n# Alternatively, if your project includes Igniter and\n# you are using the latest alpha version, you can run:\nmix igniter.new my_app --with phx.new --install mishka_chelekom\n```\n\n \n   All options","ref":"readme.html#generating-all-components-using-an-import-file-with-helper-functions"},{"type":"extras","title":"Options `mishka.ui.gen.component` task - MishkaChelekom","doc":"* `--variant` or `-v` - Specifies component variant\n  * `--color` or `-c` - Specifies component color\n  * `--size` or `-s` - Specifies component size\n  * `--padding` or `-p` - Specifies component padding\n  * `--space` or `-sp` - Specifies component space\n  * `--type` or `-t` - Specifies component type\n  * `--rounded` or `-r` - Specifies component type\n  * `--no-sub-config` - Creates dependent components with default settings\n  * `--module` or `-m` - Specifies a custom name for the component module\n  * `--sub` - Specifies this task is a sub task\n  * `--no-deps` - Specifies this task is created without sub task\n  * `--yes` - Makes directly without questions","ref":"readme.html#options-mishka-ui-gen-component-task"},{"type":"extras","title":"Options `mishka.ui.gen.components` task - MishkaChelekom","doc":"* `--import` - Generates import file\n  * `--helpers` - Specifies helper functions of each component in import file\n  * `--global` - Makes components accessible throughout the project without explicit imports\n  * `--yes` - Makes directly without questions","ref":"readme.html#options-mishka-ui-gen-components-task"},{"type":"extras","title":"Options `mishka.ui.add` task - MishkaChelekom","doc":"* `--no-github` - Specifies a URL without github replacing\n  * `--headers` - Specifies a repo url request headers\n\n  ---\n\n \n\n---","ref":"readme.html#options-mishka-ui-add-task"},{"type":"extras","title":"Optimized for Minimal Dependencies - MishkaChelekom","doc":"This project ensures optimal performance by minimizing dependencies and leveraging the advanced features of **Tailwind CSS**.","ref":"readme.html#optimized-for-minimal-dependencies"},{"type":"extras","title":"Links: - MishkaChelekom","doc":"- Project Page: https://mishka.tools/chelekom\n- Project Documentation: https://mishka.tools/chelekom/docs\n- Created components list: [Heex file and configs](https://github.com/mishka-group/mishka_chelekom/tree/master/priv/templates/components)\n- Hex.pm: https://hex.pm/packages/mishka_chelekom\n\n---","ref":"readme.html#links"},{"type":"extras","title":"Our stacks: - MishkaChelekom","doc":"1. [Elixir](https://github.com/elixir-lang/elixir)\n2. [Phoenix](https://github.com/phoenixframework/phoenix)\n3. [Phoenix LiveView](https://github.com/phoenixframework/phoenix_live_view)\n4. [Tailwind CSS](https://github.com/tailwindlabs/tailwindcss)\n5. Pure JavaScript\n\n---","ref":"readme.html#our-stacks"},{"type":"extras","title":"FAQ - MishkaChelekom","doc":"* Do I need any config or external project?\n\n> The Chelekom library is fully zero-configuration, meaning you don't need to install anything other than the library itself\n\n* What does the generator do?\n\n> The generator does all the work for you, from building to updating and transferring the heex, ex files to your Phoenix project.\n\n* What should be done for Phoenix umbrella projects?\n\n> Just go to the path of your desired Phoenix project and execute the required Mix commands there.\n\n* How much will this project be updated?\n\n> In the initial versions, we managed to create more than 80 components for Phoenix and LiveView, and our goal is up to 200 components. After that, we are going to build complete templates as well as a very useful API for programmers.\n\n* Are these components not developed after offering the paid version?\n\n> Our paid services are not about components at all, but more facilities, including exclusive support, as well as complete templates, etc., and as long as the Mishka team exists, this project will be developed and maintained for free and open source.\n\n* What does the project name mean?\n\n> One of the frequently asked questions on social media after the release of the first version of Mishka Chelekom was about the meaning behind the library itself. Here's the explanation:\n>\n> Mishka means \"sparrow.\"\n>\n> Chelekom refers to \"tree logs that are cut and neatly arranged side by side.\"\n\n\n---","ref":"readme.html#faq"},{"type":"extras","title":"Contributing - MishkaChelekom","doc":"We appreciate any contribution to MishkaChelekom. Just create a PR!! 🎉🥳\n\n---","ref":"readme.html#contributing"},{"type":"extras","title":"Community & Support - MishkaChelekom","doc":"- Create issue: https://github.com/mishka-group/mishka_chelekom/issues\n- Ask question in elixir forum: https://elixirforum.com ➝ mention `@shahryarjb`\n- Ask question in elixir Slack: https://elixir-slack.community ➝ mention `@shahryarjb`\n- Ask question in elixir Discord: https://discord.gg/elixir ➝ mention `@shahryarjb`\n- For commercial & sponsoring communication: `shahryar@mishka.tools`\n\n---\n\n# Donate\n\nYou can support this project through the \"[Sponsor](https://github.com/sponsors/mishka-group)\" button on GitHub or via cryptocurrency donations. All our projects are **open-source** and **free**, and we rely on community contributions to enhance and improve them further.\n\n| **BTC**                                                                                                                            | **ETH**                                                                                                                            | **DOGE**                                                                                                                           | **TRX**                                                                                                                            |\n| ---------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------- |\n|   |   |   |   |\n\n \n   Donate addresses \n\n**BTC**:‌\n\n```\nbc1q24pmrpn8v9dddgpg3vw9nld6hl9n5dkw5zkf2c\n```\n\n**ETH**:\n\n```\n0xD99feB9db83245dE8B9D23052aa8e62feedE764D\n```\n\n**DOGE**:\n\n```\nDGGT5PfoQsbz3H77sdJ1msfqzfV63Q3nyH\n```\n\n**TRX**:\n\n```\nTBamHas3wAxSEvtBcWKuT3zphckZo88puz\n```","ref":"readme.html#community-support"},{"type":"extras","title":"Changelog for MishkaChelekom 0.0.4","doc":"# Changelog for MishkaChelekom 0.0.4","ref":"changelog.html"},{"type":"extras","title":"Features: - Changelog for MishkaChelekom 0.0.4","doc":"- Add on_select attribute on tab slot\n- Add scroll area component [#296](https://github.com/mishka-group/mishka_chelekom/pull/296) [#300](https://github.com/mishka-group/mishka_chelekom/pull/300)\n- Add missing features of Phoenix core components [#296](https://github.com/mishka-group/mishka_chelekom/pull/296)\n- Add global components installing support and JS formatter [#304](https://github.com/mishka-group/mishka_chelekom/pull/304)\n- Add radio card component [#305](https://github.com/mishka-group/mishka_chelekom/pull/305)\n- Add checkbox card component [#306](https://github.com/mishka-group/mishka_chelekom/pull/306)\n- Add combobox component [#321](https://github.com/mishka-group/mishka_chelekom/pull/321)","ref":"changelog.html#features"},{"type":"extras","title":"Bugs: - Changelog for MishkaChelekom 0.0.4","doc":"- Add missing slot to gallery component [#294](https://github.com/mishka-group/mishka_chelekom/pull/294)\n- fix typo in tab, checkbox field, radio field components [#295](https://github.com/mishka-group/mishka_chelekom/pull/295)\n- Fix missing ids in table and Flash assign_new to create new id from pattern [#313](https://github.com/mishka-group/mishka_chelekom/pull/313)","ref":"changelog.html#bugs"},{"type":"extras","title":"Refactors: - Changelog for MishkaChelekom 0.0.4","doc":"- Refactor some Phoenix CoreComponent backward compatibility issues for Ash [#312](https://github.com/mishka-group/mishka_chelekom/pull/312)\n- Refactor and Use more generous dependency on igniter [#317](https://github.com/mishka-group/mishka_chelekom/pull/317)\n- Reset line height of alert [#320](https://github.com/mishka-group/mishka_chelekom/pull/320)\n\n---\n\n\n# Changelog for MishkaChelekom 0.0.3","ref":"changelog.html#refactors"},{"type":"extras","title":"Features: - Changelog for MishkaChelekom 0.0.4","doc":"- Support JS community cli version (beta) [#254](https://github.com/mishka-group/mishka_chelekom/pull/254)\n- Support Export community cli version (beta) [#256](https://github.com/mishka-group/mishka_chelekom/pull/256)\n- Add paddings and width fit to alert  [#287](https://github.com/mishka-group/mishka_chelekom/pull/287)\n- Add badge to tab component [#290](https://github.com/mishka-group/mishka_chelekom/pull/290)\n- Add Igniter installer mix task","ref":"changelog.html#features"},{"type":"extras","title":"Bugs: - Changelog for MishkaChelekom 0.0.4","doc":"- Fix alert title type [#288](https://github.com/mishka-group/mishka_chelekom/pull/288)\n- Fix some issues about windows PowerShell\n\n\n---\n\n# Changelog for MishkaChelekom 0.0.2","ref":"changelog.html#bugs"},{"type":"extras","title":"Features: - Changelog for MishkaChelekom 0.0.4","doc":"- Support community cli version (beta) [#92](https://github.com/mishka-group/mishka_chelekom/pull/92)\n- Supports cli helpers import [#93](https://github.com/mishka-group/mishka_chelekom/pull/93)\n- Update all templates for new syntax `{}` (Phoenix LiveView 1.0.0)","ref":"changelog.html#features"},{"type":"extras","title":"Refactors: - Changelog for MishkaChelekom 0.0.4","doc":"- Fix Adjust spacing for checkbox and radio fields [#73](https://github.com/mishka-group/mishka_chelekom/pull/73)\n- Add dark mode and fix issues of gradient variants of Button component [#91](https://github.com/mishka-group/mishka_chelekom/pull/91)\n- Add dark mode and fix issues of gradient variants of Badge component [#94](https://github.com/mishka-group/mishka_chelekom/pull/94)\n- Add dark mode and fix issues of Overlay of Drawer component [#96](https://github.com/mishka-group/mishka_chelekom/pull/96)\n- Add dark mode of Divider component [#97](https://github.com/mishka-group/mishka_chelekom/pull/97)\n- Add dark mode of Avatar component [#98](https://github.com/mishka-group/mishka_chelekom/pull/98)\n- Add dark mode of Alert component [#99](https://github.com/mishka-group/mishka_chelekom/pull/99)\n- Add dark mode of Spinner component [#100](https://github.com/mishka-group/mishka_chelekom/pull/100)\n- Add dark mode of Banner component [#101](https://github.com/mishka-group/mishka_chelekom/pull/101)\n- Add dark mode of Breadcrumb component [#102](https://github.com/mishka-group/mishka_chelekom/pull/102)\n- Add dark mode of Blockquote component [#103](https://github.com/mishka-group/mishka_chelekom/pull/103)\n- Add dark mode of Dropdown component [#104](https://github.com/mishka-group/mishka_chelekom/pull/104)\n- Add dark mode of Overlay component [#106](https://github.com/mishka-group/mishka_chelekom/pull/106)\n- Add dark mode of Card component [#107](https://github.com/mishka-group/mishka_chelekom/pull/107)\n- Add dark mode and add `show_arrow` prop of Popover component [#121](https://github.com/mishka-group/mishka_chelekom/pull/121)\n- Add dark mode of Rating component [#123](https://github.com/mishka-group/mishka_chelekom/pull/123)\n- Add dark mode of Chat component [#125](https://github.com/mishka-group/mishka_chelekom/pull/125)\n- Add dark mode of Modal component [#126](https://github.com/mishka-group/mishka_chelekom/pull/126)\n- Add dark mode of Keyboard component [#127](https://github.com/mishka-group/mishka_chelekom/pull/127)\n- Add dark mode of Jumbotron component [#128](https://github.com/mishka-group/mishka_chelekom/pull/128)\n- Add dark mode of Indicator component [#129](https://github.com/mishka-group/mishka_chelekom/pull/129)\n- Add dark mode of Carousel component [#130](https://github.com/mishka-group/mishka_chelekom/pull/130)\n- Add dark mode of Footer component [#132](https://github.com/mishka-group/mishka_chelekom/pull/132)\n- Add dark mode of MegaMenu component [#133](https://github.com/mishka-group/mishka_chelekom/pull/133)\n- Add dark mode of Navbar component [#134](https://github.com/mishka-group/mishka_chelekom/pull/134)\n- Add dark mode of Progress component [#136](https://github.com/mishka-group/mishka_chelekom/pull/136)\n- Add dark mode of email, url, search, number, password, textarea, tel, text fields components [#138](https://github.com/mishka-group/mishka_chelekom/pull/138)\n- Add dark mode of FormWrapper component [#140](https://github.com/mishka-group/mishka_chelekom/pull/140)\n- Add dark mode of RadioField component [#143](https://github.com/mishka-group/mishka_chelekom/pull/143)\n- Add dark mode of CheckboxField component [#144](https://github.com/mishka-group/mishka_chelekom/pull/144)\n- Add dark mode of Sidebar component [#145](https://github.com/mishka-group/mishka_chelekom/pull/145)\n- Add dark mode of DateTimeField component [#146](https://github.com/mishka-group/mishka_chelekom/pull/146)\n- Add dark mode of Tooltip component [#147](https://github.com/mishka-group/mishka_chelekom/pull/147)\n- Add dark mode of Video component [#148](https://github.com/mishka-group/mishka_chelekom/pull/148)\n- Add dark mode of Typography component [#149](https://github.com/mishka-group/mishka_chelekom/pull/149)\n- Add dark mode of ToggleField component [#150](https://github.com/mishka-group/mishka_chelekom/pull/150)\n- Add dark mode of SpeedDial component [#151](https://github.com/mishka-group/mishka_chelekom/pull/151)\n- Add dark mode of Skeleton component [#152](https://github.com/mishka-group/mishka_chelekom/pull/152)\n- Add dark mode of TableOfContent component [#153](https://github.com/mishka-group/mishka_chelekom/pull/153)\n- Add dark mode of Timeline component [#154](https://github.com/mishka-group/mishka_chelekom/pull/154)\n- Add dark mode of Table component [#155](https://github.com/mishka-group/mishka_chelekom/pull/155)\n- Add dark mode of Tabs component [#156](https://github.com/mishka-group/mishka_chelekom/pull/156)\n- Add dark mode of NativeSelect component [#158](https://github.com/mishka-group/mishka_chelekom/pull/158)\n- Add dark mode of RangeField component [#159](https://github.com/mishka-group/mishka_chelekom/pull/159)\n- Add dark mode of Toast component [#160](https://github.com/mishka-group/mishka_chelekom/pull/160)\n- Add dark mode of List component [#161](https://github.com/mishka-group/mishka_chelekom/pull/161)\n- Add dark mode of Fieldset component [#162](https://github.com/mishka-group/mishka_chelekom/pull/162)\n- Add dark mode of FileField component [#163](https://github.com/mishka-group/mishka_chelekom/pull/163)\n- Add dark mode of Stepper component [#165](https://github.com/mishka-group/mishka_chelekom/pull/165)\n- Add dark mode of Accordion component [#166](https://github.com/mishka-group/mishka_chelekom/pull/166)\n- Add dark mode of DeviceMockup component [#167](https://github.com/mishka-group/mishka_chelekom/pull/167)\n- Add dark mode of pagination component [#168](https://github.com/mishka-group/mishka_chelekom/pull/168)\n- Add full width to button [#170](https://github.com/mishka-group/mishka_chelekom/pull/170)\n- Add filter props to image component [#171](https://github.com/mishka-group/mishka_chelekom/pull/171)\n- Add other line styles to timeline [#172](https://github.com/mishka-group/mishka_chelekom/pull/172)\n- Add loader to slot to button component [#173](https://github.com/mishka-group/mishka_chelekom/pull/173)\n- Add radius to toggle component [#174](https://github.com/mishka-group/mishka_chelekom/pull/174)\n- Add space based on sizes to pagination component [#175](https://github.com/mishka-group/mishka_chelekom/pull/175)\n- Add label slot to each chunk of progress [#176](https://github.com/mishka-group/mishka_chelekom/pull/176)\n- Add separated variant to table [#178](https://github.com/mishka-group/mishka_chelekom/pull/178)\n- Refactor: Fix issue of zooming inputs [#185](https://github.com/mishka-group/mishka_chelekom/pull/185)\n- Modify structure of popover and dropdown components [#189](https://github.com/mishka-group/mishka_chelekom/pull/189)\n- Add animations to gallery [#190](https://github.com/mishka-group/mishka_chelekom/pull/190)\n- Stop spinner when an image is in done [#194](https://github.com/mishka-group/mishka_chelekom/pull/194)\n- Modify styles of form fields, add new prop to badge [#192](https://github.com/mishka-group/mishka_chelekom/pull/192)\n- Modify card and overlay components styles [#193](https://github.com/mishka-group/mishka_chelekom/pull/193)\n- Modify table content component [#195](https://github.com/mishka-group/mishka_chelekom/pull/195)\n- Add variant to stepper, add loading state to stepper [#196](https://github.com/mishka-group/mishka_chelekom/pull/196)\n- add hoverable prop to listdd [#197](https://github.com/mishka-group/mishka_chelekom/pull/197)\n- Add classes to badge [#257](https://github.com/mishka-group/mishka_chelekom/pull/257)\n- Add new styles to tabs [#273](https://github.com/mishka-group/mishka_chelekom/pull/273)\n- change structure of tooltip [#277](https://github.com/mishka-group/mishka_chelekom/pull/277)\n- Add and remove unnecessary classes textarea field [#276](https://github.com/mishka-group/mishka_chelekom/pull/276)\n- Add and remove unnecessary classes text field [#275](https://github.com/mishka-group/mishka_chelekom/pull/275)\n- Add and remove unnecessary classes tel field [#274](https://github.com/mishka-group/mishka_chelekom/pull/274)\n- Add new variants to table [#272](https://github.com/mishka-group/mishka_chelekom/pull/272)\n- Change styles in stepper [#271](https://github.com/mishka-group/mishka_chelekom/pull/271)\n- Add and remove unnecessary classes of search [#270](https://github.com/mishka-group/mishka_chelekom/pull/270)\n- Add line height class to rating button [#269](https://github.com/mishka-group/mishka_chelekom/pull/269)\n- Change styles of progress [#268](https://github.com/mishka-group/mishka_chelekom/pull/268)\n- Change structure of popover [#267](https://github.com/mishka-group/mishka_chelekom/pull/267)\n- Add and remove unnecessary classes number field [#265](https://github.com/mishka-group/mishka_chelekom/pull/265)\n- Add new props and fix color issues, remove extra functions from list [#263](https://github.com/mishka-group/mishka_chelekom/pull/263)\n- Add and remove unnecessary classes from email field [#261](https://github.com/mishka-group/mishka_chelekom/pull/261)\n- Add and remove unnecessary classes from date field [#260](https://github.com/mishka-group/mishka_chelekom/pull/260)\n- change chat section styles [#259](https://github.com/mishka-group/mishka_chelekom/pull/259)\n- Add new prop to card media [#258](https://github.com/mishka-group/mishka_chelekom/pull/258)","ref":"changelog.html#refactors"},{"type":"extras","title":"Bugs: - Changelog for MishkaChelekom 0.0.4","doc":"- Fix un-CSP progress mounted [#72](https://github.com/mishka-group/mishka_chelekom/pull/72)\n- Fix modal title `default: nil` value [#76](https://github.com/mishka-group/mishka_chelekom/pull/76)\n- Correct typo separated across the project [#81](https://github.com/mishka-group/mishka_chelekom/pull/81)\n- Revision and fix some missing part of some fields (version 0.0.1) [#84](https://github.com/mishka-group/mishka_chelekom/pull/84)\n- Fix without `--import` option error of components task CLI [b0b7492](https://github.com/mishka-group/mishka_chelekom/commit/b0b7492e636663d2c55d4b56a04c89b2376f422a)\n- Fix issue of breadcrumb RTL mode [#170](https://github.com/mishka-group/mishka_chelekom/pull/170)\n- Remove space-y-0 classes from Menu, Footer, Navbar, Tooltip components [#183](https://github.com/mishka-group/mishka_chelekom/pull/183)\n- Delete none pattern functions from all components [#246](https://github.com/mishka-group/mishka_chelekom/pull/246)\n- Fix issues of password field [#266](https://github.com/mishka-group/mishka_chelekom/pull/266)\n- Fix issues of shadow in native select [#264](https://github.com/mishka-group/mishka_chelekom/pull/264)\n- Fix style issues of fieldset [#262](https://github.com/mishka-group/mishka_chelekom/pull/262)\n- Fix some global issues\n\n---\n\n\n# Changelog for MishkaChelekom 0.0.1\n\n> We are delighted to introduce our new version of MishkaChelekom fully featured components and UI kit library for Phoenix & Phoenix LiveView.\n> Kindly ensure that the MishkaChelekom Library is updated as quickly as feasible.\n\n**For more information please see**: https://mishka.tools/chelekom","ref":"changelog.html#bugs"},{"type":"extras","title":"Features: - Changelog for MishkaChelekom 0.0.4","doc":"- Add generator mix CLI task for creating component\n- Add generator mix CLI task for creating components\n- Add basic components (light mode version)\n\n   \n\n     Components list \n\n    - [x] accordion\n    - [x] alert\n    - [x] avatar\n    - [x] badge\n    - [x] banner\n    - [x] blockquote\n    - [x] breadcrumb\n    - [x] button\n    - [x] card\n    - [x] carousel\n    - [x] chat\n    - [x] chekbox_field\n    - [x] color_field\n    - [x] date_time_field\n    - [x] device_mockup\n    - [x] divider\n    - [x] drawer\n    - [x] dropdown\n    - [x] email_field\n    - [x] fieldset\n    - [x] file_field\n    - [x] footer\n    - [x] form_wrapper\n    - [x] gallery\n    - [x] image\n    - [x] indicator\n    - [x] input_field\n    - [x] jumbotron\n    - [x] keyboard\n    - [x] list\n    - [x] mega_menu\n    - [x] menu\n    - [x] modal\n    - [x] native_select\n    - [x] navbar\n    - [x] number_field\n    - [x] overlay\n    - [x] pagination\n    - [x] password_field\n    - [x] popover\n    - [x] progress\n    - [x] radio_field\n    - [x] range_field\n    - [x] rating\n    - [x] search_field\n    - [x] sidebar\n    - [x] skeleton\n    - [x] speed_dial\n    - [x] spinner\n    - [x] stepper\n    - [x] table\n    - [x] table_content\n    - [x] tabs\n    - [x] tel_field\n    - [x] text_field\n    - [x] textarea_field\n    - [x] timeline\n    - [x] toast\n    - [x] toggle_field\n    - [x] tooltip\n    - [x] typography\n    - [x] url_field\n    - [x] video\n\n   \n\n- Add white primary secondary dark success warning danger info light misc dawn colors\n- Add common sizes\n- Add common variants\n- Add common positions","ref":"changelog.html#features"},{"type":"extras","title":"Docs - Changelog for MishkaChelekom 0.0.4","doc":"- Add generator docs\n- Add basic components docs","ref":"changelog.html#docs"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}